Name:           m4rie
Version:        20120415
Release:        4%{?dist}
Summary:        Linear Algebra over F_2^e
Group:          Development/Libraries
License:        GPLv2+
URL:            http://m4ri.sagemath.org/
Source0:        http://m4ri.sagemath.org/downloads/%{name}-%{version}.tar.gz
# Patch sent upstream 25 April 2012.  Adapt to changes in givaro 3.5.0.
Patch0:         %{name}-givaro.patch

BuildRequires:  doxygen
BuildRequires:  givaro-devel
BuildRequires:  gmp-devel
BuildRequires:  m4ri-devel
BuildRequires:  tex(latex)

%description
M4RIE is a library for fast arithmetic with dense matrices over F_2^e.
It is an add-on to the M4RI library, which implements fast arithmetic
with dense matrices over F_2.  M4RIE is used by the Sage mathematics
software.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        static
Summary:        Static library files for %{name}
Group:          Development/Libraries
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}

%description    static
The %{name}-static package contains the static %{name} library.

%prep
%setup -q
%patch0

# Fix the version number in the doxygen documentation
sed -ri "s/^(PROJECT_NUMBER[[:blank:]]+= 0\.).*/\1%{version}/" src/Doxyfile

%build
%configure

# The configure step picks up -fopenmp from the m4ri CFLAGS.  However, m4rie
# does not contain any OpenMP-using code.  The end result is that libm4rie is
# unnecessarily linked with libgomp, leading to rpmlint complaints.
sed -i "s/M4RI_CFLAGS =.*/M4RI_CFLAGS =/" Makefile bench/Makefile

make %{?_smp_mflags}
cd src
doxygen

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/lib%{name}.la
rm -f doc/html/installdox

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING
%{_libdir}/lib%{name}-*.so

%files devel
%doc doc/html
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so

%files static
%{_libdir}/lib%{name}.a

%changelog
* Tue Oct  2 2012 Jerry James <loganjerry@gmail.com> - 20120415-4
- Rebuild for givaro 3.7.1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20120415-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 27 2012 Jerry James <loganjerry@gmail.com> - 20120415-2
- Fix -static Requires

* Wed Apr 25 2012 Jerry James <loganjerry@gmail.com> - 20120415-1
- Initial RPM
